Bug 465988 - Incomplete partition info throws an ugly error
Incomplete partition info throws an ugly error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: appliance-tools (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 12:24 EDT by Bryan Kearney
Modified: 2008-11-22 11:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-22 11:58:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2008-10-07 12:24:34 EDT
Description of problem:

partition commands with no --fstype or --ondisk  throws an ugly stack trace (see below). At a minimum, this should be an easy to debug error. Best case is that the tool would calculate the correct size and disk option to be used.


How reproducible:

Run the appliance creator with a kickstart file with the following line:

part / --size 500 

See the stack trace:


Warning: The kernel was unable to re-read the partition table on /dev/loop2 (Invalid argument).  This means Linux won't know anything about the modifications you made until you reboot.  You should reboot your computer before doing anything with /dev/loop2.
['/', '/']
Traceback (most recent call last):
  File "/usr/bin/appliance-creator", line 122, in <module>
    sys.exit(main())
  File "/usr/bin/appliance-creator", line 108, in main
    creator.mount("NONE", options.cachedir)
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 503, in mount
    self._mount_instroot(base_on)
  File "/usr/lib/python2.5/site-packages/appcreate/appliance.py", line 143, in _mount_instroot
    self.__instloop.mount()
  File "/usr/lib/python2.5/site-packages/appcreate/partitionedfs.py", line 246, in mount
    pdisk.mount()
  File "/usr/lib/python2.5/site-packages/appcreate/fs.py", line 257, in mount
    self.__create()
  File "/usr/lib/python2.5/site-packages/appcreate/fs.py", line 254, in __create
    self.__format_filesystem()
  File "/usr/lib/python2.5/site-packages/appcreate/fs.py", line 219, in __format_filesystem
    self.disk.device])
  File "/usr/lib/python2.5/subprocess.py", line 443, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib/python2.5/subprocess.py", line 593, in __init__
    errread, errwrite)
  File "/usr/lib/python2.5/subprocess.py", line 1079, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Comment 1 Fedora Update System 2008-11-10 17:40:13 EST
appliance-tools-003-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/appliance-tools-003-6.fc10
Comment 2 Fedora Update System 2008-11-13 12:29:03 EST
appliance-tools-003.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/appliance-tools-003.7-1.fc10
Comment 3 Fedora Update System 2008-11-18 16:54:55 EST
appliance-tools-003.9-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/appliance-tools-003.9-1.fc10
Comment 4 Fedora Update System 2008-11-22 11:58:23 EST
appliance-tools-003.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.